package com.bjtdba.merchant.service.impl;

import com.bjtdba.merchant.dao.StoreBranchJurisdictionDao;
import com.bjtdba.merchant.entity.StoreBranchJurisdiction;
import com.bjtdba.merchant.service.StoreBranchJurisdictionService;
import com.bjtdba.utils.ResponseUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class StoreBranchJurisdictionServiceImpl implements StoreBranchJurisdictionService {
    @Autowired
    private StoreBranchJurisdictionDao storeBranchJurisdictionDao;


    /**
     * 查询所有的权限功能
     * @return
     */
    public Object querySystemMen() throws Exception{
        Map<String,Object> data=new HashMap<String,Object>();
        List<StoreBranchJurisdiction> jurisdictionList =new ArrayList<StoreBranchJurisdiction>();
        jurisdictionList=storeBranchJurisdictionDao.selectByExample(null);
        data.put("jurisdictionList",jurisdictionList);

        return ResponseUtil.ok(data);


    }
}
